NDB_SELECT_COUNT(1)

NAME
ndb_select_count - print row counts for NDB tables

SYNOPSIS

ndb_select_count [-c connect_string] -d db_name tbl_name[ tbl_name2[ ...]]

DESCRIPTION

ndb_select_count prints the number of rows in one or more NDB tables. With a single table, the result is equivalent to that obtained by using the MySQL statement SELECT COUNT(*) FROM tbl_name.
        Usage

    ndb_select_count [-c connect_string] -ddb_name tbl_name[, tbl_name2[, ...]]

The following table includes options that are specific to the MySQL Cluster native backup restoration program ndb_select_count. Additional descriptions follow the table. For options common to most MySQL Cluster programs (including ndb_select_count), see Options Common to MySQL Cluster Programs(1).

Table 17.25. ndb_select_count Options and Variables: MySQL 5.1, MySQL Cluster NDB 6.3-7.1
Format | Description | Added / Removed
--database=dbname, -d | Name of the database in which the table is found | All MySQL 5.1 based releases
--parallelism=#, -p | Degree of parallelism | All MySQL 5.1 based releases
--lock=#, -l | Lock type | All MySQL 5.1 based releases

You can obtain row counts from multiple tables in the same database by listing the table names separated by spaces when invoking this command, as shown under Sample Output.
        Sample Output

    shell> ./ndb_select_count -c localhost -d ctest1 fish dogs
    6 records in table fish
    4 records in table dogs
    NDBT_ProgramExit: 0 - OK

COPYRIGHT

Copyright © 1997, 2013, Oracle and/or its affiliates. All rights reserved.

This documentation is free software; you can redistribute it and/or modify it only under the terms of the GNU General Public License as published by the Free Software Foundation; version 2 of the License.

This documentation is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with the program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA or see http://www.gnu.org/licenses/.

SEE ALSO
For more information, please refer to the MySQL Reference Manual, which may already be installed locally and which is also available online at http://dev.mysql.com/doc/.

AUTHOR
Oracle Corporation (http://dev.mysql.com/).